Bug 2092 - Koha should support Unicode 6
Summary: Koha should support Unicode 6
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: PC All
: P3 enhancement (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-08 07:59 UTC by Galen Charlton
Modified: 2019-10-14 19:56 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:46:28 UTC


---- Reported by gmcharlt@gmail.com 2008-05-08 07:59:28 ----

Unicode 5.1 has support for several previously unsupported languages and scripts.  More languages is a Good Thing.

This is a placeholder bug; obviously, implementing this will involve working with a lot of dependencies, including:

* general web browser uptake of Unicode 5 and 5.1
* MySQL
* Zebra
* Perl
* Perl modules such as MARC::Charset



---- Additional Comments From colin.campbell@ptfs-europe.com 2010-05-19 08:48:26 ----

In respect of perl support:
release 5.10 supports Unicode 5.0
release 5.12 supports Unicode 5.2




--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:46 UTC  ---

This bug was previously known as _bug_ 2092 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2092

Actual time not defined. Setting to 0.0

Comment 1 Ian Walls 2011-12-04 17:02:02 UTC
Updating bug report:  Unicode 6 has been released, including support for the Indian Rupee symbol.  See http://unicode.org/versions/Unicode6.0.0/ for more details.

Koha should support as current a Unicode version as possible.
Comment 2 Colin Campbell 2011-12-05 12:52:37 UTC
Unicode 6.0 is supported as of perl 5.14.0
Comment 3 Marc Véron 2016-01-05 15:42:51 UTC
Is this placeholder bug still necessary?